// Primary buttons
//
// The primary action is generally the action that completes a task or desired action.
// Primary buttons use bright and use saturated colors to provide stronger visual weight that catches the users attention to avoid confusion and competing with secondary actions.
//
// Markup:
// <button class="button-primary button-medium">Button Primary</button>
//
// Styleguide 2.1.1

// KODELLA EDIT
.button-primary {
	background: $sc-button-primary-background-color;
	color: $sc-button-primary-text-color;
	font-weight: $sc-font-weight-normal;
	border: 1px solid $sc-button-primary-border-color;
	border-radius: $sc-button-primary-border-radius;
	
	// text-transform: $sc-button-primary-text-transform;
	text-transform: uppercase;

	font-family: $sc-font-pitchsans-medium;

	display: inline-block;

	&:hover {
		color: $sc-button-primary-hover-text-color;
		background: $sc-button-primary-hover-background-color;
		border-color: $sc-button-primary-hover-border-color;
		text-decoration: none;
	}

	&:active, &:focus {
		color: $sc-button-primary-active-text-color;
		background: $sc-button-primary-active-background-color;
		border-color: $sc-button-primary-active-border-color;
	}

	&:disabled, &-disabled {
		cursor: default;
		pointer-events: none;
		opacity: 0.6;
	}
}

// Secondary buttons
//
// A secondary action is not as important as a primary action. You should give secondary buttons less visual weight than primary actions.
// Less saturated colors are used on secondary buttons resulting in distinguishable buttons that don't stand out as much as primary buttons.
//
// Markup:
// <button class="button-secondary button-medium">Button Secondary</button>
//
// Styleguide 2.1.2

// KODELLA EDIT
.button-secondary {
	background: $sc-button-secondary-background-color;
	color: $sc-button-secondary-text-color;
	
	font-weight: $sc-font-weight-normal;
	
	// border: 1px solid $sc-button-secondary-border-color;

	// border-radius: $sc-button-secondary-border-radius;
	border-radius: $sc-button-primary-border-radius;
	
	// text-transform: $sc-button-secondary-text-transform;
	text-transform: uppercase;

	font-family: $sc-font-pitchsans-medium;

	display: inline-block;

	&:hover {
		color: $sc-button-secondary-hover-text-color;
		background: $sc-button-secondary-hover-background-color;
		border-color: $sc-button-secondary-hover-border-color;
		text-decoration: none;
	}

	&:active, &:focus {
		color: $sc-button-secondary-active-text-color;
		background: $sc-button-secondary-active-background-color;
		border-color: $sc-button-secondary-active-border-color;
	}

	&:disabled {
		opacity: 0.6;
		cursor: default;
	}
}

// Tertiary buttons
//
// Tertiary buttons are either not related to the main task, or the least desired actions.
// Visually tertiary buttons blend in to the interface background avoiding to distract the user from their primary task.
//
// Markup:
// <button class="button-tertiary button-medium">Button Tertiary</button>
//
// Styleguide 2.1.3

.button-tertiary {
	background: $sc-button-tertiary-background-color;
	color: $sc-button-tertiary-text-color;
	font-weight: $sc-font-weight-normal;
	border: 1px solid $sc-button-tertiary-border-color;
	
	// border-radius: $sc-button-tertiary-border-radius;
	border-radius: $sc-button-primary-border-radius;

	text-transform: $sc-button-tertiary-text-transform;
	display: inline-block;

	text-transform: uppercase;

	font-family: $sc-font-pitchsans-medium;

	&:hover {
		color: $sc-button-tertiary-hover-text-color;
		background: $sc-button-tertiary-hover-background-color;
		border-color: $sc-button-tertiary-hover-border-color;
		text-decoration: none;
	}

	&:active, &:focus {
		color: $sc-button-tertiary-active-text-color;
		background: $sc-button-tertiary-active-background-color;
		border-color: $sc-button-tertiary-active-border-color;
	}

	&:disabled {
		opacity: 0.6;
		cursor: default;
	}
}

// Link buttons
//
// Markup:
// <button class="button-link">Button link</button>
//
// Styleguide 2.1.4

.button-link {
	background: none;
	color: $sc-color-link;
	font-weight: $sc-font-weight-normal;
	border: none;
	display: inline-block;
	padding: $sc-padding-lv2 0;
	margin-right: $sc-margin-lv2;

	&:hover {
		color: $sc-color-link-hover;
	}

	&:focus {
		color: $sc-color-link-hover;
	}

	&:active {
		color: $sc-color-link-hover;
	}

	&:disabled {
		opacity: 0.6;
		cursor: default;
	}
}

// Button sizes
//
// There are three button sizes, which can be combined with Primary, Secondary and Tertiary buttons to create different hierarchies.
//
// .button-small - Small buttons are used for optional or non related tasks. For example, a button to remove an item on the cart is optional and its not the main task. Small buttons do not scale for small devices, they remain small.
// .button-medium - Medium buttons are used for most actions within a page. Both medium and large buttons are width 100% on small devices.
// .button-large -  Use large buttons when they are the primary goal on a page. For example in a form or Product details page. Large buttons scale to 100% wide on small devices.
//
// Markup:
// <button class="button-small button-primary">Button</button>
// <button class="button-medium button-primary">Button</button>
// <button class="button-large button-primary">Button</button>
//
// Styleguide 2.1.5

.button-large {
	width: $sc-button-large-mobile-width;
	padding: $sc-button-large-padding-v $sc-button-large-padding-h;
	font-size: $sc-button-large-font-size;
	line-height: $sc-button-large-line-height;
	letter-spacing: $sc-button-large-letter-spacing;
	text-align: center;

	@media(min-width: $screen-sm-min) {
		width: $sc-button-large-desktop-width;
	}
}

.button-medium {
	width: $sc-button-medium-mobile-width;
	padding: $sc-button-medium-padding-v $sc-button-medium-padding-h;
	font-size: $sc-button-medium-font-size;
	line-height: $sc-button-medium-line-height;
	letter-spacing: $sc-button-medium-letter-spacing;
	text-align: center;

	@media(min-width: $screen-sm-min) {
		width: $sc-button-medium-desktop-width;
	}
}

.button-small {
	width: $sc-button-small-mobile-width;
	padding: $sc-button-small-padding-v $sc-button-small-padding-h;
	font-size: $sc-button-small-font-size;
	line-height: $sc-button-small-line-height;
	letter-spacing: $sc-button-small-letter-spacing;
	text-align: center;

	@media(min-width: $screen-sm-min) {
		width: $sc-button-small-desktop-width;
	}
}

// Push button primary (mobile only)
//
// Push buttons are used to open push panels that appear in smaller screens which hide information from the user until they request for it.
// Push buttons have a chevron indicating that the user is navigating somewhere rather than performing an action.
// Push buttons have a title and sometimes hint information related to the information in the push panel.
//
// Markup:
// <button class="push-button-primary">Push Button Primary <i></i></button>
//
// Styleguide 2.1.6

.push-button-primary {
	width: 100%;
	color: $sc-neutral-shade-0;
	background: $sc-color-secondary;
	letter-spacing: 1px;
	font-size: $sc-font-size-l;
	padding: $sc-padding-lv3;
	text-align:left;

	&:active {
		background: $sc-button-secondary-hover-background-color;
	}

	> i {
		@extend .fa;
		@extend %fa-angle-right;
		font-size: $sc-font-size-xxl;
		float: right;
		color: $sc-neutral-shade-0;
	}

	@media (min-width: $screen-sm-min) {
		display: none;
	}
}

// Push button secondary (mobile only)
//
// Markup:
// <button class="push-button-secondary">Push Button Secondary <i></i></button>
//
// Styleguide 2.1.7

.push-button-secondary {
	width: 100%;
	color: $sc-color-copy-dark;
	background: $sc-neutral-shade-0;
	font-size: $sc-font-size-s;
	padding: $sc-padding-lv3;
	border: 1px solid $sc-color-theme-border-light;
	text-align: left;
	position: relative;

	&:active {
		background: $sc-color-theme-background;
	}

	> i {
		@extend .fa;
		@extend %fa-angle-right;
		font-size: $sc-font-size-xxl;
		float: right;
		color: $sc-color-copy-dark;
		position: absolute;
		right: 15px;
		top: 50%;
		height: 26px;
		margin-top: -12px;
	}

	span {
		@extend p;
		margin-top: $sc-margin-lv3;
		color: $sc-neutral-shade-700;
		padding-right: $sc-padding-lv3;
		text-overflow: ellipsis;
		overflow: hidden;
	}

	.global-views-star-rating {
		display: inline-block;
		vertical-align: middle;
		float: none;
	}

	@media (min-width: $screen-sm-min) {
		display: none;
	}
}

// Push button with description (mobile only)
//
// Push buttons can contain hint information related to what is inside the push panel.
// This might help the user understand what sort of information to expect when pressing the button.
//
// Markup:
// <button class="push-button-description">
//   Push button with description <i></i>
//   <p>
//     Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi elementum id mi nec finibus...
//   </p>
// </button>
//
// Styleguide 2.1.8

.push-button-description {
	@extend .push-button-secondary;

	p {
		margin: $sc-margin-lv3 $sc-margin-lv3 0 0;
		font-size: $sc-font-size-s;
		color: $sc-color-copy;
	}
}

// Split buttons
//
// Split buttons are used when multiple actions can be performed.
// The most relevant or common action a user can perform is placed on the button while other actions are placed inside a dropdown menu.
// There are two actionable areas on a split button, the primary action and the dropdown menu. Each has their own independent hover and focus status.
// Split buttons can be combined with any of the available button sizes.
//
// Markup:
// <div class="split-button">
//   <button type="button" class="button-tertiary button-small split-button-action">
//     Primary Action
//   </button>
//   <button type="button" class="button-tertiary button-small split-button-toggle" data-toggle="dropdown">
//     <i class="split-button-toggle-icon"></i>
//   </button>
//   <ul class="split-button-dropdown" role="menu">
//     <li><a href="#">Primary action</a></li>
//     <li><a href="#">Secondary action</a></li>
//     <li><a href="#">Third action</a></li>
//     <li class="split-button-item-divider"><a href="#">Separate link</a></li>
//   </ul>
// </div>
//
// Styleguide 2.1.9

.split-button {
	position: relative;
	display: inline-block;
	vertical-align: middle;

	.split-button-action {
		padding: 13px 16px;
		vertical-align: top;
		line-height: 14px;
		border-top-right-radius: 0;
		border-bottom-right-radius: 0;
		outline: none;
	}

	.split-button-toggle {
		border-left: 0;
		margin-left: -4px;
		border-top-left-radius: 0;
		border-bottom-left-radius: 0;
		outline: none;

		.split-button-toggle-icon {
			@extend .icon-angle-down;
		}

		&:hover {
			.split-button-toggle-icon {
				color: white;
			}
		}
	}

	&-dropdown {
		display:none;
		position: absolute;
		top: 100%;
		right: 0;
		z-index: 1000;
		min-width: 160px;
		text-align: left;
		list-style: none;
		background-color: $sc-neutral-shade-0;
		-webkit-background-clip: padding-box;
		background-clip: padding-box;
		border: 1px solid $sc-color-theme-border;
		border-radius: 0;
		color: $sc-color-secondary;
		margin-top: $sc-margin-lv1;
		font-size: 14px;
		@include box-shadow(0 6px 6px transparentize($sc-neutral-shade-500, 1-0.175));

		a {
			display: block;
			padding: $sc-padding-lv2;
			color: $sc-color-secondary;

			&:hover {
				color: $sc-color-link;
			}
		}

		.split-button-item-divider {
			border-top: 1px solid $sc-color-theme-border;
		}
	}
}

.open .split-button-toggle {
	@extend .button-secondary:hover;

	i.split-button-toggle-icon {
		color: $sc-neutral-shade-0;
	}
}

.open .split-button-dropdown {
	display: inline-block;
}

// Pill buttons
//
// Pills are a series of buttons grouped together on a single line.
// Button groups are used for buttons that control the view of an area and only one of them can be selected at a time.
// Make sure to provide visual contrast to the active button.
//
// Markup:
// <div class="pill-button-group">
//   <a class="pill-button button-medium pill-button-active">Button 1</a>
//   <a class="pill-button button-medium">Button 2</a>
//   <a class="pill-button button-medium">Button 3</a>
// </div>
//
// Styleguide 2.1.10

.pill-button {
	display: table-cell;
	border: 1px solid $sc-color-theme-border;
	color: $sc-color-secondary;
	width: auto;
	vertical-align: middle;
	line-height: 1;
	background: $sc-neutral-shade-0;

	&:hover {
		background-color: $sc-color-secondary;
		border: 1px solid $sc-color-secondary;
		color: $sc-neutral-shade-0;
	}

	&-active {
		background-color: $sc-color-secondary;
		border: 1px solid $sc-color-secondary;
		color: $sc-neutral-shade-0;
	}
}

.pill-button-group {
	.pill-button:first-child,
	.pill-button-active:first-child {
		border-radius: $sc-border-radius 0 0 $sc-border-radius;
		border-right: none;
	}

	.pill-button:last-child,
	.pill-button-active:last-child {
		border-radius: 0 $sc-border-radius $sc-border-radius 0;
		border-left: none;
	}
}

// Icon buttons
//
// Markup:
// <button class="icon-button icon-button-primary"> <i class="fa fa-shopping-cart"></i></button>
// <button class="icon-button icon-button-secondary"> <i class="fa fa-search"></i></button>
// <button class="icon-button icon-button-controls"> <i class="fa fa-bars"></i></button>
// <button class="icon-button icon-button-controls active"> <i class="fa fa-bars"></i></button>
//
// Styleguide 2.1.11

.icon-button {
	background: $sc-color-primary;
	width: $sc-target-size;
	height: $sc-target-size;
	overflow: hidden;

	i {
		color: $sc-neutral-shade-0;
		width: $sc-target-size;
		height: $sc-target-size;
		font-size: $sc-font-size-xxl;
		line-height: $sc-target-size;

		@media(min-width: $screen-md-min) {
			font-size: $sc-font-size-xl;
		}
	}

	&.icon-button-primary {
		background: $sc-color-primary;

		&:hover {
			background: $sc-button-primary-hover-background-color;
		}

		&:active {
			background: $sc-button-primary-active-background-color;
		}
	}

	&.icon-button-secondary {
		background: $sc-color-secondary;

		&:hover {
			background: $sc-button-secondary-hover-background-color;
		}

		&:active {
			background: $sc-button-secondary-active-background-color;
		}
	}
}

.icon-button-controls {
	background: $sc-neutral-shade-0;
	color: $sc-color-theme-border;
	border:1px solid $sc-color-theme-border;
	text-align:center;
	display:inline-block;
	@extend .icon-button;

	&.active, .active{
		color: $sc-color-primary;
		border:1px solid $sc-color-primary;
		background: $sc-neutral-shade-0;

		i {
			color: $sc-color-primary;
		}
	}

	i {
		color: $sc-color-theme-500;
	}
}

.button-back {
	display:block;
	margin-bottom: $sc-margin-lv3;
	padding-top: $sc-padding-lv1;
	padding-bottom: $sc-padding-lv1;

	@media (min-width: $screen-sm-min) {
		display: none;
	}
}

.button-back-icon {
	@extend .icon-base;
	@extend %fa-angle-left;
	margin-right: $sc-margin-lv1;
}

.button-positioning-stack2next {
	margin-top: $sc-margin-lv2;

	@media (min-width: $screen-sm-min) {
		margin-top: 0;
		margin-left: $sc-margin-lv1;
	}
}

.button-positioning-next2stack {
	display: inline-block;
	margin-left: $sc-margin-lv1 ;

	@media (min-width: $screen-sm-min) {
		display: block;
		margin-top: $sc-margin-lv2;
		margin-left: 0;
	}
}

.button-generic {
	width: 100%;
	text-align: center;
	line-height: 1;
	display: block; // Fix ie width 100%
	position: relative; // Fix ie width 100%
}

.button-list-header {
	height: $sc-target-size;
	line-height: $sc-target-size;
	min-width: $sc-target-size;

	padding: 0 $sc-padding-lv4;
	letter-spacing:0.5px;
	font-size: $sc-font-size-m;
	overflow: hidden;
}

.button-list-header-shrink {
	padding-left: $sc-padding-lv2;
	padding-right: $sc-padding-lv2;

	@media (min-width: $screen-sm-min){
		padding-left: $sc-padding-lv4;
		padding-right: $sc-padding-lv4;
	}
}